> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Collect vested assets that are ready for release according to the vesting schedule for a beneficiary.

# Collect assets



## OpenAPI

````yaml cardano/managed-contracts-api/openapi.json post /contracts/vesting/collect/{beneficiary}
openapi: 3.0.3
info:
  title: Cardano - Managed Contracts API
  description: https://docs.gomaestro.org/getting-started
  contact:
    name: Maestro
    email: info@gomaestro.org
    url: https://gomaestro.org/
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v1.9.0
servers:
  - url: https://mainnet.gomaestro-api.org/v1
    description: Cardano Mainnet
  - url: https://preprod.gomaestro-api.org/v1
    description: Cardano Preprod
  - url: https://preview.gomaestro-api.org/v1
    description: Cardano Preview
security:
  - api-key: []
paths:
  /contracts/vesting/collect/{beneficiary}:
    post:
      tags:
        - Vesting
      summary: Collect assets
      description: Collect assets from the vesting contract
      operationId: vesting_collect_assets
      parameters:
        - name: beneficiary
          in: path
          description: Beneficiary's bech32 address
          required: true
          schema:
            type: string
      responses:
        '202':
          description: Unsigned transaction created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  cbor_hex:
                    type: string
                  tx_hash:
                    type: string
        '400':
          description: Bad Request. Invalid request body provided.
components:
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````